Skip to content

Most visited

Recently visited

navigation
Added in API level 1

SweepGradient

public class SweepGradient
extends Shader

java.lang.Object
   ↳ android.graphics.Shader
     ↳ android.graphics.SweepGradient


Summary

Public constructors

SweepGradient(float cx, float cy, int[] colors, float[] positions)

A subclass of Shader that draws a sweep gradient around a center point.

SweepGradient(float cx, float cy, int color0, int color1)

A subclass of Shader that draws a sweep gradient around a center point.

Inherited methods

From class android.graphics.Shader
From class java.lang.Object

Public constructors

SweepGradient

Added in API level 1
SweepGradient (float cx, 
                float cy, 
                int[] colors, 
                float[] positions)

A subclass of Shader that draws a sweep gradient around a center point.

Parameters
cx float: The x-coordinate of the center
cy float: The y-coordinate of the center
colors int: The colors to be distributed between around the center. There must be at least 2 colors in the array.
positions float: May be NULL. The relative position of each corresponding color in the colors array, beginning with 0 and ending with 1.0. If the values are not monotonic, the drawing may produce unexpected results. If positions is NULL, then the colors are automatically spaced evenly.

SweepGradient

Added in API level 1
SweepGradient (float cx, 
                float cy, 
                int color0, 
                int color1)

A subclass of Shader that draws a sweep gradient around a center point.

Parameters
cx float: The x-coordinate of the center
cy float: The y-coordinate of the center
color0 int: The color to use at the start of the sweep
color1 int: The color to use at the end of the sweep
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.